Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Asynch_Read_Stream_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Read_Stream. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Read_Stream_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Read_Stream_Impl:

[legend]
List of all members.

## Public Methods

virtual | ~ACE_Asynch_Read_Stream_Impl (void)
virtual int | read (ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, int priority, int signal_number)=0
virtual int | readv (ACE_Message_Block &message_block, size_t bytes_to_read, const void *act, int priority, int signal_number)=0

## Protected Methods

| ACE_Asynch_Read_Stream_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Read_Stream.

## Constructor & Destructor Documentation

ACE_Asynch_Read_Stream_Impl::~ACE_Asynch_Read_Stream_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Read_Stream_Impl::ACE_Asynch_Read_Stream_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual int ACE_Asynch_Read_Stream_Impl::read | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| This starts off an asynchronous read. Upto <bytes_to_read> will be read and stored in the <message_block>. Implemented in ACE_Asynch_Read_File_Impl, ACE_POSIX_Asynch_Read_Stream, ACE_POSIX_Asynch_Read_File, ACE_WIN32_Asynch_Read_Stream, and ACE_WIN32_Asynch_Read_File.

virtual int ACE_Asynch_Read_Stream_Impl::readv | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_read,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number
| ) | `[pure virtual]`

| Same as above but with scatter support, through chaining of composite message blocks using the continuation field. Implemented in ACE_Asynch_Read_File_Impl, ACE_WIN32_Asynch_Read_Stream, and ACE_WIN32_Asynch_Read_File.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Asynch_IO_Impl.i